#include "mcu.h"
#include "dipsw.h"

void init_dipsw(void)
{
	FM3_GPIO->ADE  &= ~(0x0FF0);	//A-D入力チャネル11(P1B)〜4(P14):ディセーブル */
	FM3_GPIO->PFR1 &= ~(0x0FF0);	//P1B〜P14:GPIOを選択
	FM3_GPIO->DDR1 &= ~(0x0FF0);	//P1B〜P14:を入力
	FM3_GPIO->PCR1 &= ~(0x0FF0);	//プルアップしない

	return;
}

int get_dipsw(void)
{
	return (~(FM3_GPIO->PDIR1 >> 4) & 0xFF);	// 負論理なので論理反転
}

